/**
 * 配置类型为菜单的路由配置
 * name 为组件名，name不能重复，重复可能找不到
 *
 */

import { deepClone } from "../utils/other";

export type PathRouteType = {
	name: String;
	isKeepAlive: Boolean;
	isAffix: Boolean;
	path: String;
	component: String;
	redirect?: String;
	showTitle:boolean;
	showBack:boolean;
};

const pathArr = window.route;
const cloneData = deepClone(pathArr);
const pathArrMap = pathArr.map((item) => {
	const path = item.path;
	const mapArr: [String, PathRouteType] = [path, item];
	return mapArr;
});

export const pathMap = new Map(pathArrMap);
